#!/bin/bash
#NOTE: This script is designed to be run from /tmp/ip_update/ipitomy/scripts/

ROOTDIR=/var/www/html/php-test

pear install DB
pear install Mail
pear install Net_SMTP
pear install Mail_Mime
pear install Auth_SASL


mv /tmp/ip_update/ipitomy /usr/local/

ln -s /usr/local/ipitomy /var/www/html/php-test

ln -s $ROOTDIR/web /var/www/html/ippbx

ln -s $ROOTDIR/fop /usr/local/fop

if [ ! -d /var/spool/asterisk/monitor ]
then
echo "Creating /var/spool/asterisk/monitor"
mkdir /var/spool/asterisk/monitor
chmod a+rwx /var/spool/asterisk/monitor
fi

if [ -d $ROOTDIR/web/recordings/monitor ]
then
echo "Removing directory $ROOTDIR/web/recordings/monitor"
rm -rf $ROOTDIR/web/recordings/monitor
fi

if [ -h $ROOTDIR/web/recordings/monitor ] 
then
echo "Link exists removing and recreating"
rm -f $ROOTDIR/web/recordings/monitor
fi

ln -s /var/spool/asterisk/monitor $ROOTDIR/web/recordings/monitor



# set up etc asterisk
rm -rf /etc/asterisk
ln -s $ROOTDIR/asterisk /etc/asterisk

# set up sounds
rm -rf /var/lib/asterisk/sounds
ln -s $ROOTDIR/web/asterisk/sound_files /var/lib/asterisk/sounds

mv /var/lib/asterisk/mohmp3 /var/lib/asterisk/mohmp3.old
ln -s $ROOTDIR/web/music_on_hold_files /var/lib/asterisk/mohmp3


#yum -y install gcc

# copy aastra firmware
cp --reply=yes $ROOTDIR/archive/*.st /tftpboot

# need dev tools for zaptel
cp $ROOTDIR/archive/zaptel-1.2.16.tar.gz /usr/src

#build zaptel
cd /usr/src
tar xzvf zaptel-1.2.16.tar.gz 
cd /usr/src/zaptel*
make install
modprobe zaptel
modprobe ztdummy
service zaptel restart


chmod +x $ROOTDIR/scripts/*


# Set file permissions
$ROOTDIR/scripts/setperm.sh

#install sqlite
cp $ROOTDIR/archive/sqlite.so /usr/lib/php/modules
cp $ROOTDIR/archive/sqlite-2.8.17.bin /usr/bin/sqlite
chmod +x /usr/bin/sqlite

# make sox link

ln -s /usr/local/bin/sox /usr/bin/sox
ln -s /usr/local/bin/sox /usr/bin/soxmix

# copy modprobe.conf 
cp --reply=yes $ROOTDIR/etc/modprobe.conf /etc/

# copy sudoers
cp --reply=yes $ROOTDIR/etc/sudoers /etc/sudoers

# copy logrotate files
cp --reply=yes $ROOTDIR/etc/logrotate.d/* /etc/logrotate.d/

# copy xinetd files
cp --reply=yes $ROOTDIR/etc/xinetd.d/* /etc/xinetd.d/

# overwrite safe_asterisk
cp --reply=yes $ROOTDIR/archive/safe_asterisk /usr/sbin/safe_asterisk
chmod +rx /usr/sbin/safe_asterisk

# copy issue script
cp --reply=yes $ROOTDIR/etc/rc.local /etc/rc.local

# copy issue script
cp --reply=yes $ROOTDIR/etc/init.d/ /etc/rc.local


# install zend optimizer
cp --reply=yes $ROOTDIR/archive/* /tmp
cd /tmp
tar xzvf /tmp/Zend*.gz
cd /tmp/ZendOptimizer-3.0.1-linux-glibc21-i386
./install.sh
cp --reply=yes $ROOTDIR/etc/php.ini /etc


# install cron task for deleting voicemail
cp --reply=yes $ROOTDIR/etc/cron.daily/* /etc/cron.daily
chmod +x /etc/cron.daily/vmexpire

# copy init.d start scripts
cp --reply=yes $ROOTDIR/etc/init.d/* /etc/init.d/
chkconfig --del asterisk
chkconfig --del zaptel 

service ntpd stop
chkconfig --levels 235 ntpd on
ntpdate 0.north-america.pool.ntp.org
service ntpd restart


chkconfig --levels 2345 httpd on
#chkconfig --levels 2345 mysqld on
#service mysqld start
#yum -y update php

#pear install DB

#yum -y install tftp-server
chkconfig --add zaptel
chkconfig --add asterisk

service httpd restart
service zaptel restart


# import and initialize database 
#usr/bin/mysql -u root < db/ipitomy_db.sql

# put blank index in www root directory
touch /var/www/html/index.html

mkdir /var/log/asterisk/cdr-custom
touch /var/log/asterisk/cdr-custom/Master.csv
chmod og=+rwx /var/log/asterisk/cdr-custom
chmod og=+rw /var/log/asterisk/cdr-custom/*

service asterisk restart

# set up flash operator panel
chmod +x /etc/init.d/op_panel
chmod +x /usr/local/ipitomy/fop/op_server.pl
chkconfig --add op_panel
chkconfig --levels 2345 op_panel on
service op_panel restart


rm -rf /tmp/ip_update

rm -f /tmp/ipitomy_pbx*
