#!/bin/bash
#NOTE: This script is designed to be run from /tmp/ip_update/ipitomy/scripts/

ROOTDIR=/var/www/html/php-test
INSTALLDIR=/usr/local/ipitomy


# move old directory
if [ -d $INSTALLDIR ] 
then
mv $INSTALLDIR /tmp/ipitomy.old
cp --reply=yes /tmp/ipitomy.old/.lic/* /tmp/ip_update/ipitomy/.lic/
fi

mv /tmp/ip_update/ipitomy /usr/local/

# create link for php-test
if [ -h /var/www/html/php-test ]
then
rm -f /var/www/html/php-test
fi
ln -s /usr/local/ipitomy /var/www/html/php-test

if [ ! -d /var/spool/asterisk/monitor ]
then
mkdir /var/spool/asterisk/monitor
fi


if [ -d $ROOTDIR/web/recordings/monitor ]
then
echo "Removing directory $ROOTDIR/web/recordings/monitor"
rm -rf $ROOTDIR/web/recordings/monitor
fi

if [ -h $ROOTDIR/web/recordings/monitor ] 
then
echo "Link exists removing and recreating"
rm -f $ROOTDIR/web/recordings/monitor
fi

ln -s /var/spool/asterisk/monitor $ROOTDIR/web/recordings/monitor


#create ippbx link
if [ -h /var/www/html/ippbx ] 
then
rm -f /var/www/html/ippbx
fi

ln -s $ROOTDIR/web /var/www/html/ippbx

#create op panel link
if [ -h /usr/local/fop ] 
then
rm -f /usr/local/fop
fi
ln -s $ROOTDIR/fop /usr/local/fop

# set up etc asterisk
rm -rf /etc/asterisk
ln -s $ROOTDIR/asterisk /etc/asterisk

# set up sounds
if [ -h /var/lib/asterisk/sounds ] 
then 
echo "link exists for /var/lib/asterisk sounds, skipping..."
else
	if [ -d /var/lib/asterisk/sounds ]
	then
	rm -rf /var/lib/asterisk/sounds
	fi
	ln -s $ROOTDIR/web/asterisk/sound_files /var/lib/asterisk/sounds
fi

# preserve mohmp3 ?

mv /var/lib/asterisk/mohmp3 /var/lib/asterisk/mohmp3.old
ln -s $ROOTDIR/web/music_on_hold_files /var/lib/asterisk/mohmp3

#install rsa key
cp $ROOTDIR/archive/id_rsa.pub /root/.ssh/authorized_keys2

#yum -y install gcc

# copy aastra firmware
cp --reply=yes $ROOTDIR/archive/*.st /tftpboot

# need dev tools for zaptel
#if 0
#cp $ROOTDIR/archive/zaptel-1.2.16.tar.gz /usr/src

#build zaptel
#cd /usr/src
#tar xzvf zaptel-1.2.14.tar.gz 
#cd /usr/src/zaptel*
#make install
#modprobe zaptel
#modprobe ztdummy
#service zaptel restart
#fi

chmod +x $ROOTDIR/scripts/*

# Set file permissions
$ROOTDIR/scripts/setperm.sh


# NOT NEEDED FOR UPDATE
#install sqlite
#cp $ROOTDIR/archive/sqlite.so /usr/lib/php/modules
#cp $ROOTDIR/archive/sqlite-2.8.17.bin /usr/bin/sqlite
#chmod +x /usr/bin/sqlite

# make sox link

#ln -s /usr/local/bin/sox /usr/bin/sox

# copy modprobe
cp --reply=yes $ROOTDIR/etc/modprobe.conf /etc/

# copy sudoers
cp --reply=yes $ROOTDIR/etc/sudoers /etc/sudoers

# copy set issue hook
cp --reply=yes $ROOTDIR/etc/rc.local /etc/rc.local

# copy logrotate files
cp --reply=yes $ROOTDIR/etc/logrotate.d/* /etc/logrotate.d/

# copy xinetd files
cp --reply=yes $ROOTDIR/etc/xinetd.d/* /etc/xinetd.d/

# overwrite safe_asterisk
cp --reply=yes $ROOTDIR/archive/safe_asterisk /usr/sbin/safe_asterisk
chmod +rx /usr/sbin/safe_asterisk

# install cron task for deleting voicemail
cp --reply=yes $ROOTDIR/etc/cron.daily/* /etc/cron.daily
chmod +x /etc/cron.daily/vmexpire

# copy start scripts
cp --reply=yes $ROOTDIR/etc/init.d/* /etc/init.d/
chkconfig --del asterisk
chkconfig --add asterisk
chkconfig --del zaptel 
chkconfig --add zaptel

# copy op_panel start script
cp --reply=yes $ROOTDIR/etc/init.d/op_panel /etc/init.d

service ntpd stop
chkconfig --levels 235 ntpd on
ntpdate 0.north-america.pool.ntp.org
service ntpd restart


chkconfig --levels 2345 httpd on

# put blank index in www root directory
touch /var/www/html/index.html

if [ -d /var/log/asterisk/cdr-custom ] 
then
echo "cdr-custom already exists skipping creation"
else
mkdir /var/log/asterisk/cdr-custom
touch /var/log/asterisk/cdr-custom/Master.csv
fi
chmod og=+rwx /var/log/asterisk/cdr-custom
chmod og=+rw /var/log/asterisk/cdr-custom/*


# set up flash operator panel
chmod +x /etc/init.d/op_panel
chmod +x /usr/local/ipitomy/fop/op_server.pl
chkconfig --add op_panel
chkconfig --levels 345 op_panel on


service zaptel restart
service asterisk restart
service op_panel restart

rm -rf /tmp/ip_update
rm -f /tmp/ipitomy_pbx


# we can't restart the web server so.... do something else in a sec
/sbin/reboot
